tools.c File Reference
`#include "config.h"`
`#include "daemon/dnshandler.h"`
`#include "adapter/adapter.h"`
`#include "log.h"`
`#include "signer/tools.h"`
`#include "signer/zone.h"`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Functions

ods_status | tools_signconf (zone_type *zone)
ods_status | tools_input (zone_type *zone)
ods_status | tools_output (zone_type *zone, engine_type *engine)

## Function Documentation

## tools_input()

ods_status tools_input | ( | zone_type * | zone | ) |

Read zone from input adapter.

Definition at line 93 of file tools.c.

References adapter_read(), zone_struct::adinbound, zone_struct::db, zone_struct::name, namedb_rollback(), signconf_struct::passthrough, zone_struct::signconf, stats_struct::sort_count, stats_struct::sort_done, stats_struct::sort_time, stats_struct::start_time, zone_struct::stats, stats_struct::stats_lock, zone_publish_dnskeys(), zone_publish_nsec3param(), zone_rollback_dnskeys(), and zone_rollback_nsec3param().

Referenced by do_forcereadzone(), and do_readzone().

## tools_output()

ods_status tools_output | ( | zone_type * | zone,
|  | engine_type * | engine )

Write zone to output adapter.

fork

close fds

execv

error

wait for completion

Definition at line 181 of file tools.c.

References adapter_write(), zone_struct::adoutbound, zone_struct::db, dnshandler_fwd_notify(), stats_struct::end_time, namedb_struct::have_serial, namedb_struct::intserial, namedb_struct::is_initialized, zone_struct::ixfr, ixfr_struct::ixfr_lock, ixfr_purge(), zone_struct::name, zone_struct::notify_args, zone_struct::notify_ns, signconf_struct::nsec_type, ODS_SE_NOTIFY_CMD, namedb_struct::outserial, stats_struct::sig_count, stats_struct::sig_soa_count, zone_struct::signconf, stats_struct::sort_done, zone_struct::stats, stats_clear(), stats_struct::stats_lock, and stats_log().

Referenced by do_writezone().

## tools_signconf()

ods_status tools_signconf | ( | zone_type * | zone | ) |

Load zone signconf.

Or NSEC -> NSEC3, or NSEC3 -> NSEC, or NSEC3 params changed. All NSEC(3)s become invalid.

Definition at line 52 of file tools.c.

References zone_struct::db, zone_struct::default_ttl, zone_struct::name, namedb_cleanup_denials(), namedb_init_denials(), namedb_wipe_denial(), zone_struct::signconf, signconf_cleanup(), signconf_compare_denial(), signconf_log(), signconf_struct::soa_min, and zone_load_signconf().

Referenced by do_forcereadsignconf(), and do_readsignconf().